﻿//this source code was auto-generated by tolua#, do not modify it
using System;
using LuaInterface;
using UnityEngine;

public class GameUtilsWrap
{
	public static void Register(LuaState L)
	{
		L.BeginStaticLibs("GameUtils");
		L.RegFunction("GetLocalIPAddress", GetLocalIPAddress);
        L.RegFunction("CopyToClipboard", CopyToClipboard);
        L.EndStaticLibs();
	}

	[MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
	static int GetLocalIPAddress(IntPtr L)
	{
		var host = System.Net.Dns.GetHostEntry(System.Net.Dns.GetHostName());
		try
		{
			foreach (var ip in host.AddressList)

				if (ip.AddressFamily == System.Net.Sockets.AddressFamily.InterNetwork)
				{
					LuaDLL.lua_pushstring(L, ip.ToString());
					break;
				}
		}
		catch (Exception e)
		{
			GameDebug.Log("No network adapters with an IPv4 address in the system!");
			return LuaDLL.toluaL_exception(L, e);
		}
		return 0;
	}
    [MonoPInvokeCallbackAttribute(typeof(LuaCSFunction))]
    static int CopyToClipboard(IntPtr L)
    {
      
        try
        {
            int count = LuaDLL.lua_gettop(L);

            if (count == 1 && TypeChecker.CheckTypes(L, 1, typeof(string)))
            {
                string arg0 = ToLua.ToString(L, 1);
        
                GUIUtility.systemCopyBuffer = arg0;
                return 1;
            }
        }
        catch (Exception e)
        {
            GameDebug.Log("No network adapters with an IPv4 address in the system!");
            return LuaDLL.toluaL_exception(L, e);
        }
        return 0;
    }
}

